aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2013-09-16 22:53:56 -0700
committerS├ębastien Fabbro <bicatali@gentoo.org>2013-09-16 22:53:56 -0700
commit0bc136501f3e56a23e078f0cc035a740f7d7baa9 (patch)
treecaf01e61d7b8f4a969005bf9f212bade00387b26
parentMerge branch 'master' of git+ssh://git.overlays.gentoo.org/proj/sci (diff)
parentMerge pull request #109 from tamiko/numdiff (diff)
downloadsci-0bc136501f3e56a23e078f0cc035a740f7d7baa9.tar.gz
sci-0bc136501f3e56a23e078f0cc035a740f7d7baa9.tar.bz2
sci-0bc136501f3e56a23e078f0cc035a740f7d7baa9.zip
Merge branch 'master' of git://git.overlays.gentoo.org/proj/sci; github.com:gentoo-science/sci
-rw-r--r--dev-util/numdiff/Manifest1
-rw-r--r--dev-util/numdiff/metadata.xml16
-rw-r--r--dev-util/numdiff/numdiff-5.8.1.ebuild44
3 files changed, 61 insertions, 0 deletions
diff --git a/dev-util/numdiff/Manifest b/dev-util/numdiff/Manifest
new file mode 100644
index 000000000..f7f8bdb43
--- /dev/null
+++ b/dev-util/numdiff/Manifest
@@ -0,0 +1 @@
+DIST numdiff-5.8.1.tar.gz 894729 SHA256 99aebaadf63325f5658411c09c6dde60d2990c5f9a24a51a6851cb574a4af503 SHA512 229bf21d1d889a915a53a1fb2346fc4696338cdb429acf7a3cebd7b6756999284f3cc684e98edee312df09c0734a65b5e9d9b43b6fe1ffabc4b00b42287d4e26 WHIRLPOOL 4cf8f1807efa6a4c6a55ea1d10be9f746403982a0b416a0945131d99236d806df09c5ba5f7938dcb395f5fa355319625d264a4e82a0e53fd95936b51e75855c5
diff --git a/dev-util/numdiff/metadata.xml b/dev-util/numdiff/metadata.xml
new file mode 100644
index 000000000..7e66b92f9
--- /dev/null
+++ b/dev-util/numdiff/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<maintainer>
+ <email>tamiko+GENTOO@kyomu.43-1.org</email>
+ <name>Matthias Maier</name>
+</maintainer>
+<longdescription>
+ numdiff is a program that can be used to compare putatively similar files
+ line by line and field by field, ignoring small numeric differences
+ or/and different numeric formats. Equivalently, numdiff is a program with
+ the capability to appropriately compare files containing numerical fields
+ (and not only).
+</longdescription>
+</pkgmetadata>
diff --git a/dev-util/numdiff/numdiff-5.8.1.ebuild b/dev-util/numdiff/numdiff-5.8.1.ebuild
new file mode 100644
index 000000000..990726690
--- /dev/null
+++ b/dev-util/numdiff/numdiff-5.8.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit autotools-utils eutils multilib
+
+DESCRIPTION="program that can be used to compare putatively similar files, ignoring small numeric differences or/and different numeric formats"
+HOMEPAGE="http://www.nongnu.org/numdiff/"
+SRC_URI="http://savannah.nongnu.org/download/numdiff/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+nls +gmp"
+
+RDEPEND="
+ gmp? ( dev-libs/gmp )
+ nls? ( sys-devel/gettext )
+ !dev-util/ndiff"
+
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable gmp)
+ $(use_enable nls)
+ --enable-optimization
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ # Remove some empty folders:
+ rm -r "${ED}"/usr/share/locale
+
+ #Fix up some wrong installation pathes:
+ mv "${ED}"/usr/share/doc/${P}/{numdiff/numdiff.{html,pdf,txt*},} || die
+ rm -r "${ED}"/usr/share/doc/${P}/numdiff || die
+}